<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:binding="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="item"
            type="com.hongyegroup.cpt_parttime.bean.IndustryBean" />

    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        xmlns:tool="http://schemas.android.com/tools"
        android:id="@+id/root_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/d_12dp"
        android:layout_marginTop="@dimen/d_12dp"
        tool:ignore="MissingConstraints"
        android:background="@drawable/shape_home_list_border_bg">

        <View
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:layout_constraintDimensionRatio="H,332:280"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent" />


        <com.guadou.lib_baselib.font_text_view.TextViewMedium
            android:id="@+id/tv_industry_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/d_10dp"
            android:ellipsize="end"
            android:gravity="center"
            android:lines="1"
            android:shadowColor="@color/black"
            android:textColor="@color/profile_red"
            android:textSize="@dimen/d_15sp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toTopOf="@+id/tv_job_num"
            android:text="商业" />

        <com.guadou.lib_baselib.font_text_view.TextViewRegular
            android:id="@+id/tv_job_num"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/d_5dp"
            android:text="47 Jobs"
            android:textColor="@color/black"
            android:textSize="14sp"
            android:visibility="invisible"
            app:layout_constraintLeft_toLeftOf="@+id/tv_industry_name"
            app:layout_constraintTop_toBottomOf="@+id/tv_industry_name"
            app:layout_constraintBottom_toTopOf="@+id/iv_industry_img"
            />

        <ImageView
            android:id="@+id/iv_industry_selected"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/d_12dp"
            android:src="@drawable/filter_choose"
            android:visibility="gone"
            binding:isVisibleGone="@{item.isSelected}"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/iv_industry_img"
            android:layout_width="0dp"
       android:layout_margin="0.5dp"
            android:layout_height="0dp"
            android:scaleType="fitXY"
            binding:imgUrl="@{item.industry_image}"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintDimensionRatio="H,319:163"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent" />


    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>